==========================
The PIL.ContainerIO Module
==========================

The PIL.ContainerIO Module
==========================

**ContainerIO(file, offset, length)** (class)
[`# <#PIL.ContainerIO.ContainerIO-class>`_]
    A file object that provides read access to a part of an existing
    file (for example a TAR file).

    For more information about this class, see `*The ContainerIO
    Class* <#PIL.ContainerIO.ContainerIO-class>`_.

The ContainerIO Class
---------------------

**ContainerIO(file, offset, length)** (class)
[`# <#PIL.ContainerIO.ContainerIO-class>`_]
**\_\_init\_\_(file, offset, length)**
[`# <#PIL.ContainerIO.ContainerIO.__init__-method>`_]

    *file*
    *offset*
    *length*

**isatty()** [`# <#PIL.ContainerIO.ContainerIO.isatty-method>`_]
**read(bytes=0)** [`# <#PIL.ContainerIO.ContainerIO.read-method>`_]

    *bytes*
    Returns:

**readline()** [`# <#PIL.ContainerIO.ContainerIO.readline-method>`_]

    Returns:

**readlines()** [`# <#PIL.ContainerIO.ContainerIO.readlines-method>`_]

    Returns:

**seek(offset, mode=0)**
[`# <#PIL.ContainerIO.ContainerIO.seek-method>`_]

    *offset*
    *mode*

**tell()** [`# <#PIL.ContainerIO.ContainerIO.tell-method>`_]

    Returns:

